This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 536573 - (RHQ-909) disallow operations to be scheduled in the past
disallow operations to be scheduled in the past
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Operations (Show other bugs)
1.1pre
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-29 09:37 EDT by Joseph Marques
Modified: 2008-12-18 10:03 EST (History)
0 users

See Also:
Fixed In Version: 1.2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
customer case 225026
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-09-29 09:37:00 EDT
today, when you schedule an operation with a date/time in the past, it will work...but it will executed it immediately.  this is a "feature" of quartz, which is used to do the underlying task scheduling.

this is rather dangerous as users wouldn't naturally attempt to do this, i.e. they might have meant to schedule it on a different day but chose something in the past by accident.  instead of failing gracefully and telling them to pick a date in the future we instead happily execute the operation immediately.  schedule operations in the past should be disallowed.
Comment 1 Joseph Marques 2008-12-14 18:41:50 EST
rev2378 - disallow operations to be scheduled in the past; 
Comment 2 Corey Welton 2008-12-18 10:03:17 EST
QA Verified - attempting to schedule an event for the past results in an error message.
Comment 3 Red Hat Bugzilla 2009-11-10 16:19:24 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-909

Note You need to log in before you can comment on or make changes to this bug.